Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## element
Class ConsoleWindow

    java.lang.Object
      |
      +--element.ConsoleWindow

public class ConsoleWindow
extends java.lang.Object

Copyright (c) 1997 McGraw-Hill All Rights Reserved.

Permission to use, copy, modify, and distribute this software and its documentation for NON-COMMERCIAL purposes and without fee is hereby granted provided that this copyright notice appears in all copies. Please refer to the file "copyright.html" for further important copyright and licensing information.

MCGRAW-HILL MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. MCGRAW-HILL SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.

Field Summary
`java.io.InputStream` | `in`
`structure.ReadStream` | `input`
`java.io.PrintWriter` | `out`

Constructor Summary
`ConsoleWindow()`
`ConsoleWindow(java.awt.Container c)`
`ConsoleWindow(int rows, int cols, java.lang.String name)`
`ConsoleWindow(int rows, int cols, java.lang.String name, java.awt.Font theFont, java.awt.Container c)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### out

    public java.io.PrintWriter out

### in

    public java.io.InputStream in

### input

    public structure.ReadStream input

Constructor Detail

### ConsoleWindow

    public ConsoleWindow()

### ConsoleWindow

    public ConsoleWindow(java.awt.Container c)

### ConsoleWindow

    public ConsoleWindow(int rows,
                         int cols,
                         java.lang.String name)

### ConsoleWindow

    public ConsoleWindow(int rows,
                         int cols,
                         java.lang.String name,
                         java.awt.Font theFont,
                         java.awt.Container c)

  Parameters:
    `theFont` -

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD